<ali:List ID="Regions" Object="Region" />
<script language="c#" runat="server">
protected string GetCity(string regionId)
{
	DataRow[] regions = Regions.Select(Alias.Region.ID + "='" + regionId + "'");
	while (regions.Length != 0)
	{
		if (Convert.ToBoolean(regions[0][Alias.Region.IsCity]))
			return regions[0][Alias.Region.ID].ToString();
		else
			regions = Regions.Select(Alias.Region.ID + "='" + regions[0][Alias.Region.ParentID] + "'");
	}
	
	return "";
}
</script>
<%=GetCity(Request.QueryString["RegionID"])%>
